<?PHP
$tipo_local = 1;
include("../../secure/secure.php");
include ('../../conf/configuracao.php');
$sql_processo = "Select * from vestibulares where codigo = $qual_vestibular";
$query_processo = mysql_query($sql_processo)
	or die ("Erro Interno 1");
$processo = mysql_fetch_array($query_processo);
if (isset($submit)) {
	for ($i = 1; $i <=5 ; $i++) {
		$peso_da_prova = $peso_prova[$i];
		// Verificando se existe registro previo de pesos na materia respectiva
		$sql_verifica_1 = "Select * from pesos where codigo_do_curso = '$qual_curso' and codigo_da_materia = '$i' and codigo_vest = '$qual_vestibular'";
		$query_verifica_1 = mysql_query($sql_verifica_1)
			or die ("Erro Interno 6");
		if (mysql_num_rows($query_verifica_1) == 0) {
			// Inserir registro
			$sql_peso = "Insert into pesos (codigo_do_curso, codigo_da_materia, peso, codigo_vest) values ('$qual_curso','$i','$peso_da_prova','$qual_vestibular')";
		}
		else {
			// Atualizar registro
			$sql_peso = "Update pesos set peso = '$peso_da_prova' where codigo_do_curso = '$qual_curso' and codigo_da_materia = '$i' and codigo_vest = '$qual_vestibular'";
		}
		//echo $sql_peso . '<br>';
		//echo $qual_curso . ' - ' . $i . ' - ' . $peso_prova[$i] . '<br>';
		mysql_query($sql_peso)
			or die ("Erro Interno 7");
	}
}
?>
<br>
<strong><div align="left"><font face="Verdana" size="2" color="#800000">&nbsp;&nbsp;Pesos das Provas para o <? echo $processo[1]; ?></font></div></strong>
<br>
<br>
<?
	####
	# Obtendo cursos deste processo
	####
	$cursos = $processo[2];
	$temp_cursos = split(",",$cursos);
	$i = 0;
	$sql_cursos = "Select * from cursos where ";
	while ($temp_cursos[$i] != '') {
		if ($i != 0) {
			$sql_cursos .= ' or ';
		}
		$sql_cursos .= 'codigo = ' . $temp_cursos[$i];
		$i++;
	}
	//echo $query_cursos;
	$query_cursos = mysql_query($sql_cursos)
		or die ("Erro Interno 2");
?>

<br>
<?
	while ($cursos = mysql_fetch_array($query_cursos)) {
	$cor = "c3c3c3";
	echo '<table width="75%" border="1" cellspacing="0" cellpadding="0" align="center">';
		echo '<tr>';
			echo '<td width="30%" valign="top" bgcolor="'.$cor.'">';
				echo '<font face="Verdana" size="2" color="#800000"><b>&nbsp;' . $cursos["nome_curso"] . '</b></font>';
			echo '</td>';
		echo '</tr>';
		echo '<tr>';
			echo '<td width="70%" bgcolor="'.$cor.'">';
				$codigo_curso = $cursos["codigo"];
				$sql_materias = "Select * from provas order by codigo";
				$query_materias = mysql_query($sql_materias)
					or die ("Erro Interno 3");
				echo '<form action="pesos.php" method="post">';
				echo '<table width="100%" border="0" cellspacing="0" cellpadding="0" align="center">';
					$cor_1 = 'e3e3e3';
					while ($materias = mysql_fetch_array($query_materias)) {
					echo '<tr>';
						echo '<td bgcolor="'.$cor_1.'">';
							echo '<font face="Verdana" size="2" color="#000000"><b>&nbsp;&nbsp;&nbsp;&nbsp;' . $materias[1] . '</b></font>';
						echo'</td>';
						echo '<td bgcolor="'.$cor_1.'">';
							$codigo_materia = $materias[0];
							echo '<input type="text" name="peso_prova['.$codigo_materia.']" size="4" maxlength="6" value="'.ObterPeso($codigo_curso,$codigo_materia,$qual_vestibular).'">';
						echo'</td>';
					echo '</tr>';
					if ($cor_1 == "e3e3e3")
						$cor_1 = "ffffff";
					else
						$cor_1 = "e3e3e3";
					}
					echo '<tr>';
						echo '<td colspan="2" bgcolor="'.$cor_1.'" align="right">';
							echo '<input type="submit" name="submit" value="Atualizar Pesos">&nbsp;&nbsp;&nbsp;&nbsp;';
							echo '<input type="hidden" name="qual_curso" value="'.$codigo_curso.'">';
						echo '</td>';
					echo '</tr>';
				echo '</table>';
			echo '</td>';
			echo '</form>';
		echo '</tr>';
	echo '</table><br>';

	}
?>
